#!/bin/sh -e

mkdir -p demoCA
echo '123123123123123123123asf' > demoCA/serial
> demoCA/index.txt

openssl dsaparam -out gmailca.params 1024
openssl gendsa -out gmailca.key gmailca.params 
openssl req -new -key gmailca.key  -out gmailca.csr
openssl x509 -req -days 365 -in gmailca.csr  -signkey gmailca.key  -out gmailca.crt

openssl req -new -nodes \
-subj '/CN=tomsk.ru/O=FooBar/C=RU/ST=Tomsk/L=Foo Bar/emailAddress=foobar@gmail.com' \
-keyout gmail.key -out gmail.csr  -days 365

openssl ca -cert gmailca.crt -keyfile gmailca.key -outdir . -out gmail.crt -infiles gmail.csr 